#
# Conditional build:
%bcond_without	tests		# skip tests

Summary:	Command line tool for updating bootloader configs
Summary(pl.UTF-8):	Działające z linii poleceń narzędzie do konfiguracji gruba, lilo i elilo
Name:		grubby
Version:	8.11
Release:	1
License:	GPL v2
Group:		Base
Source0:	http://pkgs.fedoraproject.org/repo/pkgs/grubby/%{name}-%{version}.tar.bz2/953e26ec497abc2d27254d1b2ea4fd4b/%{name}-%{version}.tar.bz2
# Source0-md5:	953e26ec497abc2d27254d1b2ea4fd4b
URL:		http://git.fedorahosted.org/git/grubby.git
Patch0:		%{name}-menu.lst.patch
Patch1:		%{name}-pld.patch
Patch2:		%{name}-geninitrd.patch
BuildRequires:	glib2-devel
BuildRequires:	libblkid-devel
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
Requires:	geninitrd >= 10000.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
grubby is a command line tool for updating and displaying information
about the configuration files for the grub, lilo, elilo (ia64), and
yaboot (powerpc) boot loaders. It is primarily designed to be used
from scripts which install new kernels and need to find information
about the current boot environment.

%description -l pl.UTF-8
grubby to działające z linii poleceń narzędzie do uaktualniania i
wyświetlania informacji o plikach konfiguracyjnych bootloaderów grub,
lilo, elilo (na architekturze ia64) oraz yaboot (na powerpc). Jest
zaprojektowany głównie do używania z poziomu skryptów instalujących
nowe jądra i potrzebujących odczytać informacje o aktualnym środowisku
startowym.

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	RPM_OPT_FLAGS="%{rpmcflags} -fno-strict-aliasing "

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/new-kernel-pkg
%attr(755,root,root) %{_sbindir}/grubby
%attr(755,root,root) %{_sbindir}/installkernel
%{_mandir}/man8/grubby.8*
%{_mandir}/man8/installkernel.8*
%{_mandir}/man8/new-kernel-pkg.8*
%changelog
* Fri May 04 2012 Elan Ruusamäe <glen@pld-linux.org> 687f0ff
- up to 8.11

* Mon Mar 05 2012 Elan Ruusamäe <glen@pld-linux.org> 3cae989
- up to 8.9

* Wed Oct 26 2011 Elan Ruusamäe <glen@pld-linux.org> 8ab14cf
- up to 8.3

* Wed Oct 26 2011 Elan Ruusamäe <glen@pld-linux.org> b68ea7a
- do not enforce initrdfs

* Mon Feb 14 2011 Elan Ruusamäe <glen@pld-linux.org> 75016f4
- up to 7.0.16

* Mon Sep 28 2009 Elan Ruusamäe <glen@pld-linux.org> fdda6b1
- cleanup

* Sat Aug 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cd328f5
- rel 2

* Thu Jul 16 2009 Elan Ruusamäe <glen@pld-linux.org> c22a5c9
- updated to 7.0, separated from mkinitrd from upstream; WORKSFORME

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 407d5b3
- drop obsolete files

* Tue Jun 30 2009 Elan Ruusamäe <glen@pld-linux.org> 27d7c33
- yep, it is netlink

* Tue Jun 30 2009 Elan Ruusamäe <glen@pld-linux.org> cc3ce73
- problem on ac kernel (2.6.16.60-1smp) with th packages (grubby-6.0.24-4.x86_64, glibc-2.10.1-5.x86_64)

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 6ef86ab
- updated to 6.0.86

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 4393af7
- no -ldl for libnash

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 60e00f1
- err, revert

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 4f5fa2b
- bdevid without -ldl

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 30bb249
- libbdevid needs the wrap.o

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 1dbb93b
- libnash links with -bdevid (and bdevid with libnash, duh)

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> cf6c9ee
- avoid linking with random libraries

* Wed May 27 2009 Elan Ruusamäe <glen@pld-linux.org> 9609480
- release 4

* Mon Mar 09 2009 Elan Ruusamäe <glen@pld-linux.org> a10904a
- update to new geninitrd paths, depend on geninitrd only on install mode; rel 3

